# Uses of Interface
org.apache.avro.ipc.Callback

Packages that use Callback
Package
Description
org.apache.avro.ipc
Support for inter-process calls.

## Uses of Callback in org.apache.avro.ipc

Classes in org.apache.avro.ipc that implement Callback
Modifier and Type
Class
Description
`class`
`CallFuture<T>`
A Future implementation for RPCs.
`protected class`
`Requestor.TransceiverCallback<T>`
Handles callbacks from transceiver invocations.
Methods in org.apache.avro.ipc with parameters of type Callback
Modifier and Type
Method
Description
`<T> void`
Requestor.`request(String messageName, Object request, Callback<T> callback)`
Writes a request message and returns the result through a Callback.
`void`
Transceiver.`transceive(List<ByteBuffer> request, Callback<List<ByteBuffer>> callback)`
Called by `Requestor.request(String,Object,Callback)` for two-way messages using callbacks.
Constructors in org.apache.avro.ipc with parameters of type Callback
Modifier
Constructor
Description
``
`CallFuture(Callback<T> chainedCallback)`
Creates a CallFuture with a chained Callback which will be invoked when this CallFuture's Callback methods are invoked.
``
`TransceiverCallback(org.apache.avro.ipc.Requestor.Request request, Callback<T> callback)`
Creates a TransceiverCallback.